﻿using System;
using Restful.Net.Tests.TestDomain;

namespace Restful.Net.TestHost
{
    public class AddressBookService
    {
        [RestMethod(Verb = HttpVerb.Get, UriTemplate = "")]
        public Addressbook GetAddressbook(string ownerID)
        {
            Addressbook book = new Addressbook
                                   {
                                       Contacts = new Uri("http://localhost:8080/addressbook/" + ownerID + "/contacts"),
                                       Groups = new Uri("http://localhost:8080/addressbook/" + ownerID + "/groups")
                                   };


            return book;
        }
    }


}