﻿using System;

namespace Restful.Net.TestHost
{
    public class Global : System.Web.HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            RestRouter router = RestRouter.CreateInstance(new IOCContainerDummy(), null, new DummyUserAuthenticator());
            router.Add<ContactService>("/addressbook/{ownerid}/contacts");
            router.Add<AddressBookService>("/addressbook/{ownerid}");
            router.Add<GroupService>("/addressbook/{ownerid}/groups");
        }
    }
}
