﻿using System;
using System.Threading.Tasks;
using System.Web;

namespace Restful.Net
{
    public class RestHandler : HttpTaskAsyncHandler
    {
        public override async Task ProcessRequestAsync(HttpContext context)
        {
            IRestContext ctx = new RestContext(context);

            await RestRouter.Instance.InvokeAsync(ctx);
        }
    }
}
