﻿using System.IO;
using System.Text;

namespace Restful.Net
{
    public interface IResponse
    {
        Stream OutputStream
        {
            get;
        }

        int StatusCode
        {
            get;
            set;
        }

        string StatusDescription
        {
            get;
            set;
        }

        string ContentType
        {
            get;
            set;
        }

        Encoding ContentEncoding
        {
            get;
            set;
        }

        string ETag
        {
            get;
            set;
        }
    }
}
